### Property

# Goa OAuthBased:consumer-secret

#### Declaration

    property consumer-secret: utf8 [ read, write ]

#### Description [src]

Represents the D-Bus property “ConsumerSecret”.

Since the D-Bus property for this `GObject` property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Type:`gchar*`

Default value | NULL
Getter method | `goa_oauth_based_get_consumer_secret()`
Setter method | `goa_oauth_based_set_consumer_secret()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no